CRAN Package Check Results for Package RQuantLib

Last updated on 2024-04-15 09:49:11 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.4.21 728.89 2.56 731.45 ERROR
r-devel-linux-x86_64-debian-gcc 0.4.21 786.35 44.11 830.46 OK
r-devel-linux-x86_64-fedora-gcc 0.4.21 1665.94 OK
r-devel-windows-x86_64 0.4.21 786.00 124.00 910.00 NOTE
r-patched-linux-x86_64 0.4.21 970.98 57.18 1028.16 OK
r-release-linux-x86_64 0.4.21 949.80 56.64 1006.44 OK
r-release-macos-arm64 0.4.21 218.00 WARN
r-release-macos-x86_64 0.4.21 283.00 NOTE
r-release-windows-x86_64 0.4.21 1044.00 149.00 1193.00 NOTE
r-oldrel-macos-arm64 0.4.21 209.00 WARN
r-oldrel-windows-x86_64 0.4.21 1015.00 162.00 1177.00 NOTE

Check Details

Version: 0.4.21
Check: whether package can be installed
Result: ERROR Installation failed. Flavor: r-devel-linux-x86_64-debian-clang

Version: 0.4.21
Check: installed package size
Result: NOTE installed size is 14.2Mb sub-directories of 1Mb or more: libs 13.6Mb Flavors: r-devel-windows-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-x86_64, r-oldrel-macos-arm64, r-oldrel-windows-x86_64

Version: 0.4.21
Check: whether package can be installed
Result: WARN Found the following significant warnings: /opt/R/arm64/include/boost/math/tools/config.hpp:23:6: warning: "The minimum language standard to use Boost.Math will be C++14 starting in July 2023 (Boost 1.82 release)" [-W#warnings] # warning "The minimum language standard to use Boost.Math will be C++14 starting in July 2023 (Boost 1.82 release)" See ‘/Volumes/Builds/packages/big-sur-arm64/results/4.3/RQuantLib.Rcheck/00install.out’ for details. * used C++ compiler: ‘Apple clang version 14.0.0 (clang-1400.0.29.202)’ * used SDK: ‘MacOSX11.3.sdk’ Flavor: r-release-macos-arm64

Version: 0.4.21
Check: whether package can be installed
Result: WARN Found the following significant warnings: /opt/R/arm64/include/boost/math/tools/config.hpp:23:6: warning: "The minimum language standard to use Boost.Math will be C++14 starting in July 2023 (Boost 1.82 release)" [-W#warnings] # warning "The minimum language standard to use Boost.Math will be C++14 starting in July 2023 (Boost 1.82 release)" Flavor: r-oldrel-macos-arm64